/*
 *  QTMInteractivePrompt.hpp
 *  TeXmacs
 *
 *  Created by Miguel de Benito Delgado on 01/11/10.
 *  Copyleft 2010
 *
 */
#ifndef QTMINTERACTIVEPROMPT_HPP
#define QTMINTERACTIVEPROMPT_HPP

#include <QWidget>

class QComboBox;
class QMainWindow;
class QHBoxLayout;
class QLabel;
class QEventLoop;
class QDialogButtonBox;

class QTMInteractivePrompt : public QWidget
{
	Q_OBJECT
	
public:
	QTMInteractivePrompt(const QString&, const QStringList&, const QString&, QMainWindow*, QWidget* p=0);
	const QString currentText();
	int exec();
	
public slots:
	void accept();
	void reject();
	
protected:
	void keyPressEvent(QKeyEvent*);
	
	QHBoxLayout*      _hl;
	QLabel*           _la;
	QComboBox*        _cb;
	QDialogButtonBox* _bb;
	
	QEventLoop*       _ev;
	QString           _ty;
	QMainWindow*      _mw;   // Hack, would be nicer to have access to a singleton through some static member somewehere...
	
};

#endif // QTMINTERACTIVEPROMPT_HPP